undeterminated.h File Reference

Go to the source code of this file.

## Classes

struct | undeterminated_basic< T >
| helper for generic field value_type: T, point_basic<T> or tensor_basic<T> More...
struct | scalar_traits< undeterminated_basic< T > >
struct | float_traits< undeterminated_basic< T > >
struct | is_undeterminated< T >
struct | is_undeterminated< undeterminated_basic< T > >
struct | promote< undeterminated_basic< T1 >, undeterminated_basic< T2 > >
struct | promote< T1, undeterminated_basic< T2 > >
struct | promote< undeterminated_basic< T1 >, T2 >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_tensor_promote(tensor)

## Macro Definition Documentation

## _RHEOLEF_tensor_promote

#define _RHEOLEF_tensor_promote | ( |  | tensor | ) |

Value:
template<class T1, class T2> \
struct promote<tensor##_basic<T1>, undeterminated_basic<T2> > { \
typedef tensor##_basic<typename promote<T1,T2>::type> type; \
}; \
template<class T1, class T2> \
struct promote<undeterminated_basic<T1>, tensor##_basic<T2> > { \
typedef tensor##_basic<typename promote<T1,T2>::type> type; \
}; \
template<class T1, class T2> \
struct promote<tensor##_basic<T1>, tensor##_basic<T2> > { \
typedef tensor##_basic<typename promote<T1,T2>::type> type; \
};
tensor
see the tensor page for the full documentation

Definition at line 58 of file undeterminated.h.